#include "xfile.h"

#include <QDebug>

XFile::XFile()
    : XAsset()
{

}

void XFile::ParseData(QDataStream *aStream)
{
    quint32 contentLength;
    *aStream
        >> contentLength;
    contentLength += 44;
    qDebug() << "Content size: " << contentLength;

    aStream->skipRawData(8 * 4);
}

void XFile::Clear()
{

}
